Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Upgrading SIP firmware on 7900 series phones

Hello all:

I have a Cisco 7942G phone running SIP firmware version 8-3-2. I cannot, for the life of me, get the phone to load the latest version of the firmware 9-2-1. I have my environment setup correctly as I was able to load up version 8-3-2 with no problems.

When debugging the TFTP messages, I see that the phone requests the term42.loads file and then throws out an error, not being able to load up the rest of the files in the .zip distribution. I tried forcing the upgrade on the SEPxxx.cnf.xml file, but then I get an authentication fail error, I guess because the boot loader version is 8-3-2 and I'm trying to force it to load SIP42.9-2-1, hence the versions don't match.

Can you please help me figure out this one.

Thanks!

1 REPLY
New Member

Upgrading SIP firmware on 7900 series phones

Hi,

You cant go from 8.3.2 on third gen phones to 9.2.1. You need to first go to 8.4.4 or anything between 8.3.3 and 8.5.2.

Look:

For all SCCP and SIP firmware upgrades from firmware release versions earlier than 8.3(3) to version 8.5(2)SR1 or greater, you must first upgrade your firmware to version 8.5(2). Once you have upgraded to version 8.5(2), you can upgrade your IP Phone to version 8.5(2)SR1 or later

Hope this helps

1163
Views
0
Helpful
1
Replies
CreatePlease to create content